RSB OpenCV [Deprecated] - Enhancement #1405
Refactoring of rsb-cv
02/09/2013 10:15 AM - S. Wrede

Status: Closed Start date:
Priority: Normal Due date:
Assignee: S. Wrede % Done:

Category: Estimated time:

Target version:

02/09/2013

100%
10.00 hours

Description

- Extract RSB /O functions for cv related data types

- Extract Preview funcitonality

- Extract composite algorithms into own domain classes

- Provide integration of components in CCA / as local RSB components
- Provide configurability

- Evaluate HighGUI for interactive parameter tuning

- Decide on naming and role of library

Subtasks:
Enhancement # 1406: Refactor existing applications according to new rsb-cv architecture

Closed

Related issues:

Related to RSB OpenCV [Deprecated] - Tasks # 1394: Extract face listener to F...
Related to RSB OpenCV [Deprecated] - Enhancement # 1382: Change configuration...
Related to RSB OpenCV [Deprecated] - Tasks # 1314: Switch to new C++ OpenCV API
Related to RSB OpenCV [Deprecated] - Bug # 1386: Add runtime configuration op...
Copied to RSB OpenCV - Enhancement # 2698: Refactoring of rsb-cv

Closed
Closed
Closed
Resolved

In Progress

02/04/2013
01/31/2013
12/20/2012
02/02/2013
02/09/2013

Associated revisions

Revision 42 - 02/09/2013 02:22 PM - S. Wrede

work-in-progress on refactoring, refs #1405, refs #1394

Revision 43 - 02/09/2013 02:56 PM - S. Wrede

work-in-progress on refactoring

compiling again, but not yet tested, refs #1405, refs #1394

Revision 44 - 02/09/2013 09:30 PM - S. Wrede

initial refactoring done for facedetector case
works for me again, refs #1405

Revision 47 - 02/10/2013 09:50 PM - S. Wrede

basic implementation of Canny edge detector for testing of earlier refactorings, refs #1405

History

#1 - 02/09/2013 10:54 PM - S. Wrede

04/25/2024

1/2




First iteration done for the facedetector example, refactored i/o, preview, and configuration.

#2 - 06/10/2013 06:04 PM - J. Moringen
- Target version changed from rsb-0.9 to rsb-0.10

#3 - 12/10/2013 11:52 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#4 - 12/30/2014 08:54 AM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12

#5 - 03/03/2016 12:08 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-0.14

#6 - 06/08/2016 09:03 PM - J. Moringen

- Target version changed from rsb-0.14 to rsb-0.15

#7 - 07/06/2016 02:37 PM - J. Moringen
- Target version deleted (rsb-0.15)

#8 - 01/26/2017 01:11 PM - J. Moringen
- Copied to Enhancement #2698: Refactoring of rsb-cv added

#9 - 01/26/2017 01:12 PM - J. Moringen
- Status changed from In Progress to Closed

04/25/2024 22



